<?php
$uf_invoicesettings = json_decode(json_encode(get_option('uf_invoicesettings')));
if (isset($_POST['submit'])) {
    unset($_POST['submit']);
    $data = $_POST;
    update_option('uf_invoicesettings', $data);
    echo '<div class="notice-success notice-alt notice-large" style="margin-bottom:15px!important">Settings updated successfully!</div>';
    $uf_invoicesettings = json_decode(json_encode(get_option('uf_invoicesettings')));
}
?>
<div style="padding:20px 0px">
    <form action="<?php echo admin_url() ?>admin.php?page=uniwin-fortnox&tab=invoice" method="POST">
        <table class="form-table uniwin-fortnox-form-table">
            <tbody>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Create invoice for each order</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span> Create invoice for each order</span></legend>
                            <label for="create_invoice">
                                <input name="create_invoice" id="uf_create_invoice" type="checkbox" value="1" <?php echo (isset($uf_invoicesettings->create_invoice) && $uf_invoicesettings->create_invoice == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Send fortnox invoice to customer automatically</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span> Send fortnox invoice to customer automatically</span></legend>
                            <label for="send_invoice">
                                <input name="send_invoice" id="uf_send_invoice" type="checkbox" value="1" <?php echo (isset($uf_invoicesettings->send_invoice) && $uf_invoicesettings->send_invoice == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Book Created Invoice Automatically</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Book Created Invoice Automatically</span></legend>
                            <label for="our_reference">
                                <input name="book_invoice" id="uf_book_invoice" type="checkbox" value="1" <?php echo (isset($uf_invoicesettings->book_invoice) && $uf_invoicesettings->book_invoice == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Add payment to created invoice automatically</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Add payment to created invoice automatically</span></legend>
                            <label for="add_invoicepayment">
                                <input name="add_invoicepayment" id="uf_add_invoicepayment" type="checkbox" value="1" <?php echo (isset($uf_invoicesettings->add_invoicepayment) && $uf_invoicesettings->add_invoicepayment == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Change order status to completed when invoice is paid</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Change order status to completed when invoice is paid</span></legend>
                            <label for="change_orderstatus">
                                <input name="change_orderstatus" id="uf_change_orderstatus" type="checkbox" value="1" <?php echo (isset($uf_invoicesettings->change_orderstatus) && $uf_invoicesettings->change_orderstatus == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Change COD to paid when invoice status to booked</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Change COD to paid when invoice status to booked</span></legend>
                            <label for="change_paymentstatus">
                                <input name="change_paymentstatus" id="uf_change_paymentstatus" type="checkbox" value="1" <?php echo (isset($uf_invoicesettings->change_paymentstatus) && $uf_invoicesettings->change_paymentstatus == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc"></th>
                    <td class="forminp forminp-checkbox">
                        <button class="button-primary" type="submit" name="submit">Save</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>