<?php
$uf_productsettings = json_decode(json_encode(get_option('uf_productsettings')));
if (isset($_POST['submit'])) {
    unset($_POST['submit']);
    $data = $_POST;
    update_option('uf_productsettings', $data);
    echo '<div class="notice-success notice-alt notice-large" style="margin-bottom:15px!important">Settings updated successfully!</div>';
    $uf_productsettings = json_decode(json_encode(get_option('uf_productsettings')));
}
?>
<div style="padding:20px 0px">
    <form action="<?php echo admin_url() ?>admin.php?page=uniwin-fortnox&tab=products" method="POST">
        <table class="form-table uniwin-fortnox-form-table">
            <tbody>
                <tr>
                    <th scope="row" class="titledesc">Enable Auto Sync</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Enable Auto Sync</span></legend>
                            <label for="uf_autosync">
                                <input name="autosync" id="uf_autosync" type="checkbox" value="1" <?php echo (isset($uf_productsettings->autosync) && $uf_productsettings->autosync == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Sync Only When Product Status Is</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Sync When Product Status Is</span></legend>
                            <label for="autosync_status">
                                <label class="fullwidth-label"><input type="checkbox" name="autosync_status[]" <?php echo (isset($uf_productsettings->autosync_status) && in_array('draft', $uf_productsettings->autosync_status)) ? 'checked' : '' ?> value="draft" /> Draft</label>
                                <label class="fullwidth-label"><input type="checkbox" name="autosync_status[]" <?php echo (isset($uf_productsettings->autosync_status) && in_array('pending', $uf_productsettings->autosync_status)) ? 'checked' : '' ?> value="pending" /> Pending for review</label>
                                <label class="fullwidth-label"><input type="checkbox" name="autosync_status[]" <?php echo (isset($uf_productsettings->autosync_status) && in_array('private', $uf_productsettings->autosync_status)) ? 'checked' : '' ?> value="private" /> Private</label>
                                <label class="fullwidth-label"><input type="checkbox" name="autosync_status[]" <?php echo (isset($uf_productsettings->autosync_status) && in_array('publish', $uf_productsettings->autosync_status)) ? 'checked' : '' ?> value="publish" /> Publish</label>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Fields to update</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Fields to update</span></legend>
                            <label for="sync_fields[]">
                                <label class="fullwidth-label"><input type="checkbox" name="sync_fields[]" <?php echo (isset($uf_productsettings->sync_fields) && in_array('purchase_price', $uf_productsettings->sync_fields)) ? 'checked' : '' ?> value="purchase_price" /> Purchase Price</label>
                                <label class="fullwidth-label"><input type="checkbox" name="sync_fields[]" <?php echo (isset($uf_productsettings->sync_fields) && in_array('manufacturer', $uf_productsettings->sync_fields)) ? 'checked' : '' ?> value="manufacturer" /> Manufacturer</label>
                                <label class="fullwidth-label"><input type="checkbox" name="sync_fields[]" <?php echo (isset($uf_productsettings->sync_fields) && in_array('manufacturer_article', $uf_productsettings->sync_fields)) ? 'checked' : '' ?> value="manufacturer_article" /> Manufacturer article </label>
                                <label class="fullwidth-label"><input type="checkbox" name="sync_fields[]" <?php echo (isset($uf_productsettings->sync_fields) && in_array('unit', $uf_productsettings->sync_fields)) ? 'checked' : '' ?> value="unit" /> Unit</label>
                                <label class="fullwidth-label"><input type="checkbox" name="sync_fields[]" <?php echo (isset($uf_productsettings->sync_fields) && in_array('EAN', $uf_productsettings->sync_fields)) ? 'checked' : '' ?> value="EAN" /> EAN</label>
                                <label class="fullwidth-label"><input type="checkbox" name="sync_fields[]" <?php echo (isset($uf_productsettings->sync_fields) && in_array('dimensions', $uf_productsettings->sync_fields)) ? 'checked' : '' ?> value="dimensions" /> Dimensions (Length,Width,Breadth,Height)</label>
                            </label>
                        </fieldset>
                    </td>
                </tr>

                <tr>
                    <th scope="row" class="titledesc"></th>
                    <td class="forminp forminp-checkbox">
                        <button class="button-primary" type="submit" name="submit">Save</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>