<?php
$accounts = Uniwin_Fortnox_Helpers::get_fortnox_accounts();
$accounts = (!empty($accounts['Accounts'])) ? $accounts['Accounts'] : [];
$uf_accountssettings = json_decode(json_encode(get_option('uf_accountssettings')));
if (isset($_POST['submit'])) {
    unset($_POST['submit']);
    $data = $_POST;
    update_option('uf_accountssettings', $data);
    echo '<div class="notice-success notice-alt notice-large" style="margin-bottom:15px!important">Settings updated successfully!</div>';
    $uf_accountssettings = json_decode(json_encode(get_option('uf_accountssettings')));
}
?>
<div style="padding:20px 0px">
    <form action="<?php echo admin_url() ?>admin.php?page=uniwin-fortnox&tab=accounts" method="POST">
        <table class="form-table uniwin-fortnox-form-table">
            <tbody>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Sales to Sweden 25%</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span> Sales to Sweden 25%</span></legend>
                            <label for="uf_account_25_vat">
                                <select name="uf_account_25_vat" id="uf_account_25_vat">
                                    <option value="">Default</option>
                                    <?php foreach ($accounts as $account) {
                                        if ($account['Active'] == true) {
                                    ?>
                                            <option value="<?php echo $account['Number']; ?>" <?php echo (isset($uf_accountssettings->uf_account_25_vat) && $uf_accountssettings->uf_account_25_vat == $account['Number']) ? 'selected' : '' ?>><?php echo $account['Number']; ?> - <?php echo $account['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Sales to Sweden 12%</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Sales to Sweden 12%</span></legend>
                            <label for="uf_account_12_vat">
                                <select name="uf_account_12_vat" id="uf_account_12_vat">
                                    <option value="">Default</option>
                                    <?php foreach ($accounts as $account) {
                                        if ($account['Active'] == true) {
                                    ?>
                                            <option value="<?php echo $account['Number']; ?>" <?php echo (isset($uf_accountssettings->uf_account_12_vat) && $uf_accountssettings->uf_account_12_vat == $account['Number']) ? 'selected' : '' ?>><?php echo $account['Number']; ?> - <?php echo $account['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Sales to Sweden 6%</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span> Sales to Sweden 6%</span></legend>
                            <label for="uf_account_6_vat">
                                <select name="uf_account_6_vat" id="uf_account_6_vat">
                                    <option value="">Default</option>
                                    <?php foreach ($accounts as $account) {
                                        if ($account['Active'] == true) {
                                    ?>
                                            <option value="<?php echo $account['Number']; ?>" <?php echo (isset($uf_accountssettings->uf_account_6_vat) && $uf_accountssettings->uf_account_6_vat == $account['Number']) ? 'selected' : '' ?>><?php echo $account['Number']; ?> - <?php echo $account['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Sales to Sweden without tax</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Sales to Sweden without tax</span></legend>
                            <label for="uf_account_0_vat">
                                <select name="uf_account_0_vat" id="uf_account_0_vat">
                                    <option value="">Default</option>
                                    <?php foreach ($accounts as $account) {
                                        if ($account['Active'] == true) {
                                    ?>
                                            <option value="<?php echo $account['Number']; ?>" <?php echo (isset($uf_accountssettings->uf_account_0_vat) && $uf_accountssettings->uf_account_0_vat == $account['Number']) ? 'selected' : '' ?>><?php echo $account['Number']; ?> - <?php echo $account['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Sales to EU (incl. VAT)</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Sales to EU (incl. VAT)</span></legend>
                            <label for="uf_account_eu_inc_vat">
                                <select name="uf_account_eu_inc_vat" id="uf_account_eu_inc_vat">
                                    <option value="">Default</option>
                                    <?php foreach ($accounts as $account) {
                                        if ($account['Active'] == true) {
                                    ?>
                                            <option value="<?php echo $account['Number']; ?>" <?php echo (isset($uf_accountssettings->uf_account_eu_inc_vat) && $uf_accountssettings->uf_account_eu_inc_vat == $account['Number']) ? 'selected' : '' ?>><?php echo $account['Number']; ?> - <?php echo $account['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Sales to EU (reversed VAT)</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Sales to EU (reversed VAT)</span></legend>
                            <label for="uf_account_eu_rev_vat">
                                <select name="uf_account_eu_rev_vat" id="uf_account_eu_rev_vat">
                                    <option value="">Default</option>
                                    <?php foreach ($accounts as $account) {
                                        if ($account['Active'] == true) {
                                    ?>
                                            <option value="<?php echo $account['Number']; ?>" <?php echo (isset($uf_accountssettings->uf_account_eu_rev_vat) && $uf_accountssettings->uf_account_eu_rev_vat == $account['Number']) ? 'selected' : '' ?>><?php echo $account['Number']; ?> - <?php echo $account['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc" style="white-space: nowrap;">Sales to EU (reversed VAT)</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Sales to EU (reversed VAT)</span></legend>
                            <label for="uf_account_other_countries">
                                <select name="uf_account_other_countries" id="uf_account_other_countries">
                                    <option value="">Default</option>
                                    <?php foreach ($accounts as $account) {
                                        if ($account['Active'] == true) {
                                    ?>
                                            <option value="<?php echo $account['Number']; ?>" <?php echo (isset($uf_accountssettings->uf_account_other_countries) && $uf_accountssettings->uf_account_other_countries == $account['Number']) ? 'selected' : '' ?>><?php echo $account['Number']; ?> - <?php echo $account['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc"></th>
                    <td class="forminp forminp-checkbox">
                        <button class="button-primary" type="submit" name="submit">Save</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>