<?php
$authcode = Uniwin_Fortnox_Helpers::getAuthCode();
$accesstoken = get_option('uniwin_fortnox_accesstoken');
if (!empty($_REQUEST['code'])) {
    $refreshtoken = Uniwin_Fortnox_Helpers::getRefreshToken($_REQUEST['code']);
    if (isset($refreshtoken['error'])) {
        header('Location:' . admin_url() . 'admin.php?page=uniwin-fortnox&error_description=' . $refreshtoken['error']);
    } else {
        update_option('uniwin_fortnox_accesstoken', $refreshtoken['access_token']);
        update_option('uniwin_fortnox_refreshtoken', $refreshtoken['refresh_token']);
        set_transient('uniwin_fortnox_accesstoken', $refreshtoken['access_token'], $refreshtoken['expires_in'] - 500);
        header('Location:' . admin_url() . 'admin.php?page=uniwin-fortnox');
    }
}
?>
<div style="padding: 30px 0">
    <?php
    if (!empty($_REQUEST['error_description'])) {
        echo '<div class="notice-error notice-alt notice-large" style="margin-bottom:15px!important">Issue with fortnox connect. Please connect with fornox again!</div>';
    ?>
        <a class="button-primary" href="<?php echo $authcode; ?>">Connect with Fortnox</a>
    <?php } else {
    ?>
        <?php if ($accesstoken) { ?>
            <div class="notice-success notice-alt notice-large" style="margin-bottom:15px!important">Plugin connected to fortnox</div>
            <a class="button-primary" href="<?php echo $authcode; ?>">Reconnect</a>
        <?php } else {
        ?>
            <a class="button-primary" href="<?php echo $authcode; ?>">Connect with Fortnox</a>
    <?php }
    } ?>
</div>